<template>
    <div class="d-flex align-items-center">
        <div class="mr-1">Show</div>
        <select class="per-page form-control mr-1" @change="onChangeLimit($event)">
            <option value="10" :selected="perPage === 10">10</option>
            <option value="15" :selected="perPage === 15">15</option>
            <option value="25" :selected="perPage === 25">25</option>
        </select>
        <div>entries</div>
    </div>
</template>

<script>
export default {
    props: {
      perPage: {
          type: Number,
          default: 10
      }
    },
    methods: {
        onChangeLimit(perPage) {
            this.$emit('change', perPage);
        }
    }
}
</script>